Loading...
Searching...
No Matches
pdftron::PDF::OptionsBase Class Reference

`#include <OptionsBase.h>`

Inheritance diagram for pdftron::PDF::OptionsBase:

## Public Member Functions
| OptionsBase ()

## Static Public Member Functions
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 12 of file OptionsBase.h.

## Constructor & Destructor Documentation

## ◆ OptionsBase()

pdftron::PDF::OptionsBase::OptionsBase | ( |  | ) |
| inline

Definition at line 15 of file OptionsBase.h.

## Member Function Documentation

## ◆ ColorPtFromNumber()

ColorPt pdftron::PDF::OptionsBase::ColorPtFromNumber | ( | double | dnum | ) |
| inline static

Definition at line 123 of file OptionsBase.h.

## ◆ ColorPtToNumber()

double pdftron::PDF::OptionsBase::ColorPtToNumber | ( | const ColorPt & | cp | ) |
| inline static

Definition at line 97 of file OptionsBase.h.

## ◆ GetArray()

SDF::Obj pdftron::PDF::OptionsBase::GetArray | ( | SDF::Obj | dict,
|  | const char * | key )
| inline static

Definition at line 22 of file OptionsBase.h.

## ◆ InsertRectCollection()

void pdftron::PDF::OptionsBase::InsertRectCollection | ( | SDF::Obj | dict,
|  | const char * | key,
|  | const RectCollection & | rects,
|  | int | index )
| inline static

Definition at line 76 of file OptionsBase.h.

## ◆ PushBackBool()

void pdftron::PDF::OptionsBase::PushBackBool | ( | SDF::Obj | dict,
|  | const char * | key,
|  | bool | val )
| inline static

Definition at line 54 of file OptionsBase.h.

## ◆ PushBackNumber()

void pdftron::PDF::OptionsBase::PushBackNumber | ( | SDF::Obj | dict,
|  | const char * | key,
|  | double | num )
| inline static

Definition at line 49 of file OptionsBase.h.

## ◆ PushBackRect()

void pdftron::PDF::OptionsBase::PushBackRect | ( | SDF::Obj | dict,
|  | const char * | key,
|  | const Rect & | rect )
| inline static

Definition at line 64 of file OptionsBase.h.

## ◆ PushBackText()

void pdftron::PDF::OptionsBase::PushBackText | ( | SDF::Obj | dict,
|  | const char * | key,
|  | const UString & | text )
| inline static

Definition at line 59 of file OptionsBase.h.

## ◆ PutBool()

void pdftron::PDF::OptionsBase::PutBool | ( | SDF::Obj | dict,
|  | const char * | key,
|  | bool | val )
| inline static

Definition at line 36 of file OptionsBase.h.

## ◆ PutNumber()

void pdftron::PDF::OptionsBase::PutNumber | ( | SDF::Obj | dict,
|  | const char * | key,
|  | double | num )
| inline static

Definition at line 32 of file OptionsBase.h.

## ◆ PutRect()

void pdftron::PDF::OptionsBase::PutRect | ( | SDF::Obj | dict,
|  | const char * | key,
|  | const Rect & | rect )
| inline static

Definition at line 44 of file OptionsBase.h.

## ◆ PutText()

void pdftron::PDF::OptionsBase::PutText | ( | SDF::Obj | dict,
|  | const char * | key,
|  | const UString & | text )
| inline static

Definition at line 40 of file OptionsBase.h.

## ◆ RectFromArray() [1/2]

Rect pdftron::PDF::OptionsBase::RectFromArray | ( | SDF::Obj | nums | ) |
| inline static

Definition at line 70 of file OptionsBase.h.

## ◆ RectFromArray() [2/2]

Rect pdftron::PDF::OptionsBase::RectFromArray | ( | void * |  | ) |
| inline static

Definition at line 92 of file OptionsBase.h.

The documentation for this class was generated from the following file:

- PDF/OptionsBase.h